EMZ64 unable to compile demos

Started by patxitron, September 11, 2017, 05:01:35 pm

Previous topic - Next topic

patxitron

Dear sirs.

I'm completely new to PIC32 development, I have limited experience with smaller PICs and CCS compiler.

I just installed latest mplab-x and harmony in my ubuntu box. I load the downloaded project (both General demo and Web-server and microSD card demo have the same issue), either project load without issues in mplab-x, only a info line in the "Configuration Loading Error tab": info: Configuration "default" will build with toolchain "XC32" at "/opt/microchip/xc32/v1.44/bin".

When I click on the build button the build console begins to show many lines of compilation errors and build fails. Is there any configuration which I must edit in the project or the project is incompatible with my mplab-x nstallation (mplab-x 4.00)?

Thanks in advance.

The compilation output is the following (not complete because it is very large):

make -f nbproject/Makefile-default.mk SUBPROJECTS= .build-conf
make[1]: se entra en el directorio '/datos/patxi/Proyectos/Btlcn/PruebasPIC32/v1_06_02/apps/PIC32_EMZ64/firmware/PIC32_EMZ64.X'
make  -f nbproject/Makefile-default.mk dist/default/production/PIC32_EMZ64.X.production.hex
make[2]: se entra en el directorio '/datos/patxi/Proyectos/Btlcn/PruebasPIC32/v1_06_02/apps/PIC32_EMZ64/firmware/PIC32_EMZ64.X'
../../../../framework/peripheral/ports/processor/ports_p32mz2048efh064.h: In function '_PORTS_PIN_CHANGE_NOTICE_IN_IDLE_B_MASK':
In file included from ../../../../framework/peripheral/ports/processor/ports_p32xxxx.h:528:0,
                 from ../../../../framework/peripheral/ports/processor/ports_processor.h:32,
                 from ../../../../framework/peripheral/ports/plib_ports.h:108,
                 from ../../pic32_emz64/bsp_config.h:58,
                 from ../src/system_config/default/system_config.h:68,
                 from ../../../../framework/driver/spi/src/dynamic/drv_spi_internal.h:4,
                 from ../src/system_config/default/framework/driver/spi/dynamic/drv_spi_tasks.c:46:
../../../../framework/peripheral/ports/processor/ports_p32mz2048efh064.h:2300:20: error: '_CNCONB_SIDL_MASK' undeclared (first use in this function)
             return _CNCONB_SIDL_MASK;
                    ^
../../../../framework/peripheral/ports/processor/ports_p32mz2048efh064.h:2300:20: note: each undeclared identifier is reported only once for each function it appears in
../../../../framework/peripheral/ports/processor/ports_p32mz2048efh064.h: In function '_PORTS_PIN_CHANGE_NOTICE_IN_IDLE_C_MASK':
../../../../framework/peripheral/ports/processor/ports_p32mz2048efh064.h:2465:20: error: '_CNCONC_SIDL_MASK' undeclared (first use in this function)
             return _CNCONC_SIDL_MASK;
                    ^
../../../../framework/peripheral/ports/processor/ports_p32mz2048efh064.h: In function '_PORTS_PIN_CHANGE_NOTICE_IN_IDLE_D_MASK':
../../../../framework/peripheral/ports/processor/ports_p32mz2048efh064.h:2608:20: error: '_CNCOND_SIDL_MASK' undeclared (first use in this function)
             return _CNCOND_SIDL_MASK;
                    ^
../../../../framework/peripheral/ports/processor/ports_p32mz2048efh064.h: In function '_PORTS_PIN_CHANGE_NOTICE_IN_IDLE_E_MASK':
../../../../framework/peripheral/ports/processor/ports_p32mz2048efh064.h:2762:20: error: '_CNCONE_SIDL_MASK' undeclared (first use in this function)
             return _CNCONE_SIDL_MASK;
                    ^
../../../../framework/peripheral/ports/processor/ports_p32mz2048efh064.h: In function '_PORTS_PIN_CHANGE_NOTICE_IN_IDLE_F_MASK':
../../../../framework/peripheral/ports/processor/ports_p32mz2048efh064.h:2927:20: error: '_CNCONF_SIDL_MASK' undeclared (first use in this function)
             return _CNCONF_SIDL_MASK;

KeesZagers

When you want to use the demo software always install the version of MPLAB-X and Harmony which has been used for writing the demo. At Microchip newer versions of the software are never upwards or downwards compatible.

Kees

JohnS


patxitron

September 13, 2017, 05:59:09 pm #3 Last Edit: September 13, 2017, 06:00:47 pm by patxitron
You're right about version issue, but it's the compiler version which must match. I installed the XC32 1.40 (previously installed the 1.44) and configured projects to use it and now both examples compile and run OK.

Thank you.

Best regards.

KeesZagers

No matter which part of the development area at Microchip, always take care of the same version of the software.

Question from my side: are you planning to do something with the CAN interface on the module?

patxitron

No, the project I'm involved now will use only TCP and buttons.